Angular UI Components Documentation

Angular RadioButton Component

The RadioButton component for Angular, users make a choice among a set of mutually exclusive, related options. Users can choose one and only one option.

1. Installation

The easiest way to get started with jQWidgets UI for Angular is to use the Angular CLI Tool. To scaffold your project structure, follow its installation instructions.

npm install -g @angular/cli
ng new jqwidgets-project
cd jqwidgets-project

Install jQWidgets

jQWidgets Angular UI comes packaged with Angular CLI schematics to make creating Angular applications easier. Schematics are included with both @angular/cdk and jqwidgets-ng. Once you install the npm packages, they will be available through the Angular CLI.

Angular CLI supports the addition of packages through the ng add command. The ng add command provides faster and more user-friendly package installation. To install the jQWidgets UI for Angular package, use ng add and add the name of the NPM package:

ng add jqwidgets-ng

Alternatively, you can use the standard installation (Manual Setup)

jQWidgets UI for Angular is distributed as jqwidgets-ng NPM package

  1. Download and install the package.
    npm install jqwidgets-ng
  2. Adding CSS reference

    The following CSS file is available in ../node_modules/jqwidgets-ng/ package folder. This can be referenced in [src/styles.css] using following code.

    @import 'jqwidgets-ng/jqwidgets/styles/jqx.base.css';

    Another way to achieve the same is to edit the angular.json file and in the styles add the style.

    "styles": [
    	"node_modules/jqwidgets-ng/jqwidgets/styles/jqx.base.css"
    ]
    

2. Add the HTML for jQWidgets component in src/app/app.component.html

app.component.html


<h3>
  House Contract
</h3>

<jqxRadioButton [theme]="'fluent'" (onChange)="firstBtnOnChange($event)"
    [width]="250" [height]="25" [checked]="true">
    <span>12 Months Contract</span>
</jqxRadioButton>

<jqxRadioButton [theme]="'fluent'" (onChange)="secondBtnOnChange($event)"
    [width]="250" [height]="25">
    <span>6 Months Contract</span>
</jqxRadioButton>

<jqxRadioButton [theme]="'fluent'" (onChange)="thirdBtnOnChange($event)"
    [width]="250" [height]="25">
    <span>3 Months Contract</span>
</jqxRadioButton>

<jqxRadioButton [theme]="'fluent'" 
    [width]="250" [height]="25" [disabled]="true">
    <span>1 Month Contract</span>
</jqxRadioButton>

<div style="margin-top: 10px">
    <div>Events:</div>
    <div #events></div>
</div>	

3. Setup Component Logic

app.component.ts


import { Component, ViewChild, ElementRef } from '@angular/core';

import { jqxRadioButtonModule, jqxRadioButtonComponent } from 'jqwidgets-ng/jqxradiobutton';
@Component({
    selector: 'app-root',
    imports: [jqxRadioButtonModule],
    standalone: true,
    templateUrl: './app.component.html'
})

export class AppComponent {
    @ViewChild('events') eventsLog: ElementRef;

    count = 0;
    clearLog(): void {
        this.count++;
        let log = this.eventsLog.nativeElement;

        if (this.count >= 2) {
            log.innerHTML = '';
            this.count = 0;
        }
    }

    firstBtnOnChange(event: any): void {
        this.clearLog();
        let log = this.eventsLog.nativeElement;
        let checked = event.args.checked;
        if (checked) {
            log.innerHTML += '<div><span>Checked: 12 Months Contract</span></div>';
        }
        else {
            log.innerHTML += '<div><span>Unchecked: 12 Months Contract</span></div>';
        }
    }

    secondBtnOnChange(event: any): void {
        this.clearLog();
        let log = this.eventsLog.nativeElement;
        let checked = event.args.checked;
        if (checked) {
            log.innerHTML += '<div><span>Checked: 6 Months Contract</span></div>';
        } else {
            log.innerHTML += '<div><span>Unchecked: 6 Months Contract</span></div>';
        }
    }

    thirdBtnOnChange(event: any): void {
        this.clearLog();
        let log = this.eventsLog.nativeElement;
        let checked = event.args.checked;
        if (checked) {
            log.innerHTML += '<div><span>Checked: 3 Months Contract</span></div>';
        } else {
            log.innerHTML += '<div><span>Unchecked: 3 Months Contract</span></div>';
        }
    }

}

Summary

jQWidgets UI for Angular provides an easy way to integrate robust UI components into your Angular project. By using either the ng add command or manual setup, you can quickly get started. Once the setup is complete, you can add the desired jQWidgets components and configure them in your Angular components to match your application requirements.

RadioButton API

API Reference of the jQWidgets RadioButton component for Angular: RadioButton API

React UI Components Documentation

Typescript React RadioButton Component

This tutorial will show you the basics of how to get started with the jQWidgets RadioButton React Component.

Prerequisites

Refer to Getting Started with React before you start with this help topic.

Structure


I. Imports:

import * as React from 'react';
import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css';
import 'jqwidgets-scripts/jqwidgets/styles/jqx.material-purple.css';
import JqxRadioButton, { IRadioButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxradiobutton';

II. Class:

class App extends React.PureComponent<{}, IRadioButtonProps> {
constructor(props: {}) {
super(props);
this.state = {
width: '100%'
// Other Widget Props
}
}
render() {
return (
<JqxRadioButton
width={this.state.width} height={"100%"} .....
/>
)
}
}

III. Render:

ReactDOM.render(<App />, document.getElementById('app'));

Events

The event names in React are constructed of the original event names starting with capital letter plus on upfront:

Methods & Properties

This is how you call methods & props:

Every component have a method setOptions which accepts a object as an argument. This object contains component settings.

Every component also have a method getOptions which returns the value of the requested option.

RadioButton API

API Reference of the jQWidgets RadioButton React Component: RadioButton API

RadioButton Demos

Demos Reference of the jQwidgets RadioButton React Component: RadioButton Demos